# Standard_KindOfType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Standard_KindOfType { Standard_IsUnKnown, Standard_IsClass, Standard_IsEnumeration, Standard_IsPrimitive, Standard_IsImported, Standard_IsPackage }

## Enumeration Type Documentation

enum Standard_KindOfType

Enumeration values:

  Standard_IsUnKnown |
  Standard_IsClass |
  Standard_IsEnumeration |
  Standard_IsPrimitive |
  Standard_IsImported |
  Standard_IsPackage |